Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth Class Reference

Interface for Http Client implementations. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth:

## Public Member Functions
| __construct (HttpClient $innerClient, $username, $password)
| Creates a new Basic Auth HTTP client. More...
| request ($method, $path, Message $message=null)
| Execute a HTTP request to the remote server. More...

## Protected Attributes
| $innerClient
| $username
| $password

## Detailed Description

Interface for Http Client implementations.

Definition at line 15 of file BasicAuth.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth::__construct | ( | HttpClient | $innerClient,
|  |  | $username,
|  |  | $password
| ) |  |

Creates a new Basic Auth HTTP client.

Parameters

  \eZ\Publish\Core\REST\Client\HttpClient | $innerClient |
  string | $username |
  string | $password |

Definition at line 45 of file BasicAuth.php.

References eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\$innerClient, eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\$password, and eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\$username.

## Member Function Documentation

## ◆ request()

eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth::request | ( |  | $method,
|  |  | $path,
|  | Message | $message = `null`
| ) |  |

Execute a HTTP request to the remote server.

Returns the result from the remote server. The client sets the correct headers for Basic Auth into the $message transmitted to the inner client.

Parameters

  string | $method |
  string | $path |
  \eZ\Publish\Core\REST\Common\Message | $message |

Returns
  \eZ\Publish\Core\REST\Common\Message

Implements eZ\Publish\Core\REST\Client\HttpClient.

Definition at line 65 of file BasicAuth.php.

## Member Data Documentation

## ◆ $innerClient

eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth::$innerClient
| protected

Definition at line 22 of file BasicAuth.php.

Referenced by eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\__construct().

## ◆ $password

eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth::$password
| protected

Definition at line 36 of file BasicAuth.php.

Referenced by eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\__construct().

## ◆ $username

eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth::$username
| protected

Definition at line 29 of file BasicAuth.php.

Referenced by eZ\Publish\Core\REST\Client\HttpClient\Authentication\BasicAuth\__construct().

The documentation for this class was generated from the following file:

- BasicAuth.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.